TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organizations.connections.list("id", {
page: 1,
per_page: 1,
include_totals: true,
is_enabled: true,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organizations.connections.list("id", {
page: 1,
per_page: 1,
include_totals: true,
is_enabled: true,
});
}
main();
package example
import (
context "context"
management "github.com/auth0/go-auth0/v3/management"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &management.ListOrganizationAllConnectionsRequestParameters{
Page: management.Int(
1,
),
PerPage: management.Int(
1,
),
IncludeTotals: management.Bool(
true,
),
IsEnabled: management.Bool(
true,
),
}
mgmt.Organizations.Connections.List(
context.TODO(),
"id",
request,
)
}
# Ensure you're logged in: auth0 login
auth0 api get "organizations/id/connections" --query "page=1" --query "per_page=1" --query "include_totals=true" --query "is_enabled=true"using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Organizations;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Organizations.Connections.ListAsync(
id: "id",
request: new ListOrganizationAllConnectionsRequestParameters {
Page = 1,
PerPage = 1,
IncludeTotals = true,
IsEnabled = true
}
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.organizations.types.ListOrganizationAllConnectionsRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organizations().connections().list(
"id",
ListOrganizationAllConnectionsRequestParameters
.builder()
.page(1)
.perPage(1)
.includeTotals(true)
.isEnabled(true)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\Organizations\Connections\Requests\ListOrganizationAllConnectionsRequestParameters;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->organizations->connections->list(
'id',
new ListOrganizationAllConnectionsRequestParameters([
'page' => 1,
'perPage' => 1,
'includeTotals' => true,
'isEnabled' => true,
]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organizations.connections.list(
id="id",
page=1,
per_page=1,
include_totals=True,
is_enabled=True,
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.organizations.connections.list(
id: "id",
page: 1,
per_page: 1,
include_totals: true,
is_enabled: true
)
curl --request GET \
--url https://{tenantDomain}/api/v2/organizations/{id}/connections \
--header 'Authorization: Bearer <token>'[
{
"connection_id": "<string>",
"organization_connection_name": "<string>",
"assign_membership_on_login": true,
"show_as_button": true,
"is_signup_enabled": true,
"organization_access_level": "none",
"organization_member_access_level": "none",
"is_enabled": true,
"connection": {
"name": "<string>",
"strategy": "<string>"
}
}
]organizationに関連付けられた接続を取得する
GET
https://{tenantDomain}/api/v2
/
organizations
/
{id}
/
connections
TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organizations.connections.list("id", {
page: 1,
per_page: 1,
include_totals: true,
is_enabled: true,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organizations.connections.list("id", {
page: 1,
per_page: 1,
include_totals: true,
is_enabled: true,
});
}
main();
package example
import (
context "context"
management "github.com/auth0/go-auth0/v3/management"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &management.ListOrganizationAllConnectionsRequestParameters{
Page: management.Int(
1,
),
PerPage: management.Int(
1,
),
IncludeTotals: management.Bool(
true,
),
IsEnabled: management.Bool(
true,
),
}
mgmt.Organizations.Connections.List(
context.TODO(),
"id",
request,
)
}
# Ensure you're logged in: auth0 login
auth0 api get "organizations/id/connections" --query "page=1" --query "per_page=1" --query "include_totals=true" --query "is_enabled=true"using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Organizations;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Organizations.Connections.ListAsync(
id: "id",
request: new ListOrganizationAllConnectionsRequestParameters {
Page = 1,
PerPage = 1,
IncludeTotals = true,
IsEnabled = true
}
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.organizations.types.ListOrganizationAllConnectionsRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organizations().connections().list(
"id",
ListOrganizationAllConnectionsRequestParameters
.builder()
.page(1)
.perPage(1)
.includeTotals(true)
.isEnabled(true)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\Organizations\Connections\Requests\ListOrganizationAllConnectionsRequestParameters;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->organizations->connections->list(
'id',
new ListOrganizationAllConnectionsRequestParameters([
'page' => 1,
'perPage' => 1,
'includeTotals' => true,
'isEnabled' => true,
]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organizations.connections.list(
id="id",
page=1,
per_page=1,
include_totals=True,
is_enabled=True,
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.organizations.connections.list(
id: "id",
page: 1,
per_page: 1,
include_totals: true,
is_enabled: true
)
curl --request GET \
--url https://{tenantDomain}/api/v2/organizations/{id}/connections \
--header 'Authorization: Bearer <token>'[
{
"connection_id": "<string>",
"organization_connection_name": "<string>",
"assign_membership_on_login": true,
"show_as_button": true,
"is_signup_enabled": true,
"organization_access_level": "none",
"organization_member_access_level": "none",
"is_enabled": true,
"connection": {
"name": "<string>",
"strategy": "<string>"
}
}
]承認
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
パスパラメータ
organization の識別子。
Maximum string length:
50クエリパラメータ
返される結果のページインデックスです。最初のページは 0 です。
必須範囲:
x >= 01 ページあたりの結果数です。デフォルトは 50 です。
必須範囲:
1 <= x <= 100合計結果数を含むオブジェクト内に結果を返すか(true)、結果の配列を直接返すか(false、デフォルト)を指定します。
有効ステータスで接続を絞り込みます。
レスポンス
接続が正常に取得されました。
- object[]
- object
接続の識別子。
Required string length:
1 - 50このorganization内での接続名。
Required string length:
1 - 50Pattern:
^[^ ]*$true の場合、この接続でログインするすべてのユーザーに、そのorganizationのメンバーシップが自動的に付与されます。false の場合、ユーザーはこの接続でログインする前に、そのorganizationのメンバーシップを付与されている必要があります。
このorganizationのログインプロンプトに接続を表示するかどうかを指定します。エンタープライズ接続にのみ適用されます。デフォルト: true。
このorganization接続でorganizationのサインアップを有効にするかどうかを指定します。データベース接続にのみ適用されます。デフォルト: false。
organizationのアクセスレベル(例: "none"、"full")。
利用可能なオプション:
none, readonly, limited, full 組織メンバーのアクセスレベル(例:"none"、"full")。
利用可能なオプション:
none, readonly, limited, full この接続がorganizationに対して有効かどうか。
Show child attributes
Show child attributes